Subject: bug#77023: closed (Re: [bug#77023] [PATCH v5] home: services: Add readymedia.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 18 May 2025 21:04:05 +0000

Your bug report

#77023: [PATCH 0/3] home: services: Add readymedia.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
77023: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=77023
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#77023] [PATCH v5] home: services: Add readymedia.
From: Ludovic Courtès <[email-masked]>
To: Sughosha <[email-masked]>
Cc: Tanguy Le Carrour <[email-masked]>, Maxim Cournoyer <[email-masked]>, Gabriel Wicki <[email-masked]>, Andrew Tropin <[email-masked]>, Hilton Chain <[email-masked]>, [email-masked], Janneke Nieuwenhuizen <[email-masked]>
Date: Sun, 18 May 2025 22:16:51 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Sughosha,

Sughosha <[email-masked]> writes:

> * gnu/home/services/upnp.scm: New file.
> * gnu/local.mk: Register it.
> * gnu/services/upnp.scm: Export readymedia-activation and
> readymedia-shepherd-service.
> (<readymedia-configuration>)[home-service?]: New field.
> [cache-directory]: Adjust value depending on 'for-home?'.
> [log-directory]: Ditto.
> (readymedia-shepherd-service): Adjust 'requirement' and 'start' according to
> 'home-service?'.
> (readymedia-activation): Adjust creating 'media-directories' with permissions
> according to 'home-service?'.
> * gnu/tests/upnp.scm (%readymedia-configuration-test): Configure port with
> %readymedia-default-port.
> * doc/guix.texi (Miscellaneous Home Services): Document Readymedia Service.
> (Miscellaneous Services): Add cross-reference.
>
> Change-Id: I5c48595d84a815d98e03c7f68a716f048903720c

Finally applied, thanks!

The system test passes, but it fails once every two runs or so.  Could
you take look?

However, I do not see the ‘unshare’ issue that Maxim was reporting: I
double-checked by running the test VM manually, and here’s what I could
see:

--8<---------------cut here---------------start------------->8---
root@komputilo ~# herd status readymedia
herd status readymedia
● Status of readymedia:
  It is running since 10:12:32 PM (15 seconds ago).
  Main PID: 145
  Command: /gnu/store/39m4bp93cc65h8i60if803hcfjw5jzyj-minidlna -f /gnu/store/x8vqpc3yqbblm7wbmg0798vvl0mj2rn6-minidlna.conf -S
  It is enabled.
  Provides: readymedia
  Requires: networking user-processes
  Will be respawned.
  Log file: /var/log/readymedia/minidlna.log

Recent messages (use '-n' to view more or less):
  2025-05-18 22:12:33 scanner.c:731: warn: Scanning /media
  2025-05-18 22:12:33 scanner.c:820: warn: Scanning /media finished (0 files)!
  2025-05-18 22:12:33 playlist.c:135: warn: Parsing playlists...
  2025-05-18 22:12:33 playlist.c:269: warn: Finished parsing playlists.
  2025-05-18 22:12:33 monitor_inotify.c:223: warn: WARNING: Inotify max_user_watches [8192] is low or close to the number of used watches [2] and I do not have permission to increase this limit.  Please do so manually by writing a higher value into /proc/sys/fs/inotify/max_user_watches.
root@komputilo ~# cat /var/log/readymedia/minidlna.log
cat /var/log/readymedia/minidlna.log
2025-05-18 22:12:33 utils.c:295: warn: make_dir: cannot create directory '/var/run/'
2025-05-18 22:12:33 minidlna.c:466: error: Unable to create pidfile directory: /var/run/minidlna/minidlna.pid
2025-05-18 22:12:33 minidlna.c:520: warn: Unset locale
2025-05-18 22:12:33 minidlna.c:1134: warn: Starting MiniDLNA version 1.3.3.
2025-05-18 22:12:33 minidlna.c:394: warn: Creating new database at /var/cache/readymedia/files.db
2025-05-18 22:12:33 minidlna.c:1182: warn: HTTP listening on port 8200
2025-05-18 22:12:33 scanner.c:731: warn: Scanning /media
2025-05-18 22:12:33 scanner.c:820: warn: Scanning /media finished (0 files)!
2025-05-18 22:12:33 playlist.c:135: warn: Parsing playlists...
2025-05-18 22:12:33 playlist.c:269: warn: Finished parsing playlists.
2025-05-18 22:12:33 monitor_inotify.c:223: warn: WARNING: Inotify max_user_watches [8192] is low or close to the number of used watches [2] and I do not have permission to increase this limit.  Please do so manually by writing a higher value into /proc/sys/fs/inotify/max_user_watches.
--8<---------------cut here---------------end--------------->8---

Thanks,
Ludo’.

Subject: [PATCH 0/3] home: services: Add readymedia.
From: Sughosha <[email-masked]>
To: [email-masked]
Cc: Ludovic Courtès <[email-masked]>, Sughosha <[email-masked]>
Date: Sat, 15 Mar 2025 07:31:10 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

This set of patches updates homepage of the 'readymedia' package and the URL of
the documentation of ReadyMedia Service; make 'readymedia-configuration',
'readymedia-shepherd-service' and 'readymedia-activation' compatible to be
wrapped with 'for-home'; adds 'home-readymedia-service-type', a home
counterpart of 'readymedia-service-type'.

Sughosha (3):
  gnu: readymedia: Update home-page.
  doc: Update ReadyMedia url.
  home: services: Add readymedia.

 doc/guix.texi              | 47 +++++++++++++++++++++++++++++++-
 gnu/home/services/upnp.scm | 55 ++++++++++++++++++++++++++++++++++++++
 gnu/local.mk               |  1 +
 gnu/packages/upnp.scm      |  2 +-
 gnu/services/upnp.scm      | 45 ++++++++++++++++++++++---------
 5 files changed, 136 insertions(+), 14 deletions(-)
 create mode 100644 gnu/home/services/upnp.scm

base-commit: e124661486ec722b5c09a94b416f0104b9dde5a4
-- 
2.48.1